Building kfilebox under GNU/Debian, Linux Mint and relatives


A more more up-to-date version (0.4.10), with fixes for current dropbox releases is found at: https://github.com/gtgt/kfilebox

Required libraries for building said kfilebox release under Linux Mint 17, Ubuntu 14.04 LTS and GNU/Debian 8:

  • kde-runtime
  • libc6
  • libc6-dev
  • libgcc1
  • libkdecore5
  • libkdeui5
  • libqt4-dbus
  • libqt4-network
  • libqt4-sql
  • libqtcore4
  • libqtgui4
  • libstdc++6

Additional required libraries not mentioned in the apt info:

  • kdelibs5-dev - if not installed, make fails with an error mentioning kuniqueapplication.h
  • libqjson-dev - if not installed, make files with an error missing qjson/parser.h

Suggested helper:

  • checkinstall - to stick to the Debian packaging way

All roled into one call (add sudo or switch to root beforehand, depending on your distribution):

apt-get install kde-runtime libc6-dev kdelibs5-dev libgcc1 libqt4-dbus libqt4-network libqt4-sql libqtgui4

kdelibs5-dev and libqt4-dbus should haul in most of the unmentioned other libraries, as they depend on them.

Quelle: Piraten-Planet
Autor:

Datum: Samstag, 20. Februar 2016 2:59

Tags »